Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005741OCaml~DO NOT USE (was: OCaml general)public2012-08-27 13:502015-12-11 19:08
Reporterhongboz 
Assigned Tofrisch 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005741: install tools/pprintast.ml
Descriptionthere's a flag -dparsetree for the compiler to dump the parsetree. But it would be *more useful* if the output is legal ocaml code.

Many compiler libraries will benefit if it was installed. Take -ppx flag for example, if the output could also be visualized, then it would be much more useful for debugging purpose.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008276)
frisch (developer)
2012-10-17 18:08

Commit 13024: move pprintast to parsing. It is now available in compiler-libs.
(0008277)
frisch (developer)
2012-10-17 18:09

Commit 13025: new command-line option -dsource, to print the parse tree with source syntax.

- Issue History
Date Modified Username Field Change
2012-08-27 13:50 hongboz New Issue
2012-10-17 17:42 frisch Assigned To => frisch
2012-10-17 17:42 frisch Status new => assigned
2012-10-17 18:08 frisch Note Added: 0008276
2012-10-17 18:09 frisch Note Added: 0008277
2012-10-18 22:09 frisch Status assigned => resolved
2012-10-18 22:09 frisch Resolution open => fixed
2015-12-11 19:08 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker